io.etcd.jetcd.api

## Class LeaseGrpc.LeaseImplBase

- java.lang.Object
- - io.etcd.jetcd.api.LeaseGrpc.LeaseImplBase

All Implemented Interfaces:
  io.grpc.BindableService

Enclosing class:
  LeaseGrpc

    public abstract static class LeaseGrpc.LeaseImplBase
    extends Object
    implements io.grpc.BindableService

### Constructor Summary

Constructors
Constructor and Description
`LeaseImplBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.grpc.ServerServiceDefinition` `bindService()`
`void` `leaseGrant(LeaseGrantRequest request, io.grpc.stub.StreamObserver<LeaseGrantResponse> responseObserver)` LeaseGrant creates a lease which expires if the server does not receive a keepAlive within a given time to live period.
`io.grpc.stub.StreamObserver<LeaseKeepAliveRequest>` `leaseKeepAlive(io.grpc.stub.StreamObserver<LeaseKeepAliveResponse> responseObserver)` LeaseKeepAlive keeps the lease alive by streaming keep alive requests from the client to the server and streaming keep alive responses from the server to the client.
`void` `leaseRevoke(LeaseRevokeRequest request, io.grpc.stub.StreamObserver<LeaseRevokeResponse> responseObserver)` LeaseRevoke revokes a lease.
`void` `leaseTimeToLive(LeaseTimeToLiveRequest request, io.grpc.stub.StreamObserver<LeaseTimeToLiveResponse> responseObserver)` LeaseTimeToLive retrieves lease information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LeaseImplBase

    public LeaseImplBase()

### Method Detail

#### leaseGrant

    public void leaseGrant(LeaseGrantRequest request,
                           io.grpc.stub.StreamObserver<LeaseGrantResponse> responseObserver)

     LeaseGrant creates a lease which expires if the server does not receive a keepAlive
     within a given time to live period. All keys attached to the lease will be expired and
     deleted if the lease expires. Each expired key generates a delete event in the event history.

#### leaseRevoke

    public void leaseRevoke(LeaseRevokeRequest request,
                            io.grpc.stub.StreamObserver<LeaseRevokeResponse> responseObserver)

     LeaseRevoke revokes a lease. All keys attached to the lease will expire and be deleted.

#### leaseKeepAlive

    public io.grpc.stub.StreamObserver<LeaseKeepAliveRequest> leaseKeepAlive(io.grpc.stub.StreamObserver<LeaseKeepAliveResponse> responseObserver)

     LeaseKeepAlive keeps the lease alive by streaming keep alive requests from the client
     to the server and streaming keep alive responses from the server to the client.

#### leaseTimeToLive

    public void leaseTimeToLive(LeaseTimeToLiveRequest request,
                                io.grpc.stub.StreamObserver<LeaseTimeToLiveResponse> responseObserver)

     LeaseTimeToLive retrieves lease information.

#### bindService

    public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`